HyperTrackDocs
Orders

Get Orders

Get orders with optional query parameters

GET
/orders/

Get orders with optional query parameters

Authorization

AuthorizationBasic <token>

In: header

Query Parameters

worker_handle?|

Unique customer provided identifier of the worker to used retrieve orders associated with the specified worker

place_handle?|

Unique customer provided identifier of the place to be used retrieve orders associated with the specified place

search_term?|

String representing the search term. Search will be done on order_handle, ops_group_handle, worker_handle and metadata fields.

ops_group_handle?|

Unique Handle of Ops Group to fetch orders for

order_metadata_filter?|

JSON encoded string for order metadata to filter orders by

risk_status?|

Filter for risk status of order

region_filter?|

JSON object containing city, state, or country used to filter orders

status?|

String representation of Order status to fetch orders for. It can be comma separated list, each item in list can be one of completed, cancelled, rescheduled, disabled, ongoing, unplanned, assigned, planned. eg. ?status=completed,cancelled or ?status=completed to filter for one status

device_id?|

Filter for orders associated with this device id.

destination_geohash?|

Geohash of the area where order destination must lie.

plan_mode?unknown

Mode of planning to be used to filter orders

plan_id?|

Filter for orders in this plan id.

route_handle?|

Unique Handle of the route to fetch orders for

track_mode?unknown

Tracking mode to filter orders by. See pre_shift, on_shift documentation. full_shift includes both pre-shift and on-shift tracking. Note that on_time and flex are deprecated modes.

device_switch_mode?unknown

Device switch mode to filter orders by.

created_at_date?|

Date (YYYY-MM-DD) used as a filter to retrieve orders that are created on a given date.

created_at_from?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders that created within a timeframe.

created_at_to?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve orders that created within a timeframe.

planned_at_date?|

Date (YYYY-MM-DD) used as a filter to retrieve orders that are planned on a given date.

planned_at_from?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders planned within a timeframe.

planned_at_to?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders planned within a timeframe.

scheduled_at_date?|

Date (YYYY-MM-DD) used as a filter to retrieve orders that are scheduled on a given date.

scheduled_at_date_without_tz?|

Date (YYYY-MM-DD) used as a filter to retrieve orders that are scheduled on a given date irrespective of timezone.

completed_at_date_without_tz?|

Date (YYYY-MM-DD) used as a filter to retrieve orders that are completed on a given date irrespective of timezone.

scheduled_at_from?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders which have scheduled_at within a timeframe.

scheduled_at_to?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve orders that which have scheduled_at within a timeframe.

scheduled_at_without_tz_from?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders of that day in all timezone.

scheduled_at_without_tz_to?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve orders of that day in all timezone.

cancelled_at_date?|

Date (YYYY-MM-DD) used as a filter to retrieve orders that are cancelled on a given date.

cancelled_at_from?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders that cancelled within a timeframe.

cancelled_at_to?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve orders that cancelled within a timeframe.

completed_at_date?|

Date (YYYY-MM-DD) used as a filter to retrieve orders that are completed on a given date.

completed_at_from?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders that completed within a timeframe.

completed_at_to?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve orders that completed within a timeframe.

rescheduled_marked_at_date?|

Date (YYYY-MM-DD) used as a filter to retrieve orders that are rescheduled on a given date.

rescheduled_marked_at_from?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders that rescheduled within a timeframe.

rescheduled_marked_at_to?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve orders that rescheduled within a timeframe.

route_started_at_date?|

Date (YYYY-MM-DD) used as a filter to retrieve orders for which route started on a given date.

route_started_at_from?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders for which route started within a timeframe.

route_started_at_to?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve orders for which route started within a timeframe.

completed_at_without_tz_from?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the start of window to retrieve orders of that day for all timezone for completed orders.

completed_at_without_tz_to?|

Timestamp (YYYY-MM-DD HH:mm:ss) of the end of window to retrieve orders of that day for all timezone for completed orders.

created_at_without_tz_from?|

Start Date (YYYY-MM-DD ) of the window to retrieve orders from that day for all timezone for created orders.

created_at_without_tz_to?|

End Date (YYYY-MM-DD ) of the window to retrieve orders till that day for all timezone for created orders.

created_at_date_without_tz?|

Date (YYYY-MM-DD) used as a filter to retrieve orders that are created on a given date irrespective of timezone.

driver_handle?|
Deprecated

Unique customer provided identifier of the driver to used retrieve orders associated with the specified driver

sort_direction?unknown

String indicating the preferred sorting type

fulfillment_attempt?|

Filter for fulfillment attempt number

aggregate?|

Flag to fetch order's aggregated data.

limit?|

Limit to number of results in response

pagination_token?|

Encoded value provided by our API to retrieve the next page of orders

send_outage?|

Boolean to send the outage in aggregation

tracking_status?|

Parameter to filter for tracked and untracked orders

filter_outage_category?|

List of outage category as comma separated strings used for filtering associated orders within time range

worker_profile_filter?|

JSON encoded string metadata associated with the worker to filter orders

worker_inside_destination?|

Boolean flag to filter orders based on whether the worker is inside the destination or not.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/orders/"

{  "orders": [    {      "order_handle": "order-1",      "fulfillment_attempt": 0,      "status": "completed",      "destination": {        "geometry": {          "type": "Point",          "coordinates": [            -121.9007247,            37.3811932          ]        },        "address": "1028 E Brokaw Rd, San Jose, CA 95131",        "radius": 100      },      "ops_group_handle": "store-SF",      "track_mode": "on_time",      "plan_mode": "manual",      "scheduled_at": "2023-10-31T04:00:00.000Z",      "type": "drop",      "type_index": 0,      "expected_service_time": 0,      "capacity_used": 1,      "metadata": {        "customerID": "12654"      },      "region": {        "country": "United States",        "city": "San Jose",        "state": "California"      },      "product_type": [        "frozen",        "fragile"      ],      "completed_at": "2023-10-31T23:13:21.287Z",      "device_id": "52193948-1A79-14GF-AB81-2FB0A59536S3",      "worker_handle": "james@ht.com",      "created_at": "2023-10-30T23:41:47.489Z",      "assigned_at": "2023-10-31T23:13:03.712Z",      "route_handle": "a3f6e79c-c830-4766-8a3d-9eeaa5099ce2"    }  ]}

{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}